




version 13
cd "C:\Users\rabuza\Documents\Promotion\Text\Kapitel 3 Beschreibung des Zusammenhangs\"

log using andesc20160111, replace

use "C:\Users\rabuza\Documents\Promotion\Text\Kapitel  5 Institutionelle Effekte\Analyse\Data\Aktuellster Datensatz\merge_20150608.dta"

replace tof_n = 48.59 if cyear == "LT4"


misschk vote10 ager sex edulvla open voc_spec ind_tra ce_y ///
dis_gall comp ind_tra fed coord emprot_temp lo_sec_25_64 ///
 edusd polada_ext, gen(miss)

* Some statistics

egen pickone = tag(cyear) 

pwcorr edulvla eduyrs_r, obs sig // Correlation between ISCED and Years of Education

* Generate average years of education

sum eduyrs

gen eduyrs_r = .
replace eduyrs_r = eduyrs if eduyrs <= 25 & eduyrs !=.

bys cyear: egen meanedyrs = mean(eduyrs)


* Genrate Graph of self reported turnout by ISCED level

bys cntry edulvla: egen meanto_isced = mean(vote10)

twoway connected meanto_isced edulvla , by(cntry, note("") ///
///
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) legend(off)) ///
ytitle("Selbstberichtete Wahlbeteiligung", size(small)) ///
xtitle("ISCED-Level", size(small)) title("") ///
xlabel(,labsize(small)) ylabel(, labsize(small)) ///
mcolor("black") lcolor(black) ///
subtitle(, fcolor(white) lcolor(black)) 



* Descriptives and Graphs of average marginal effects

tw(scatter edumfx tof_n if pickone == 1 0, msymbol(none) mlabel(cyear) mlabsize(vsmall) mlabcolor(black) mcolor(black)) ///
(lfit edumfx tof_n if pickone == 1 , lcolor(black) lwidth(.3)) (lowess edumfx tof_n, lwidth (.3) lcolor(black)) if pickone == 1 , ///
legend(off) ytitle("Durchschnittlicher Marginaleffekt Bildung", size(small)) ///
xtitle("Offizielle Wahlbeteiligung zum Zeitpunkt der Erhebung", size(small)) title("") ///
xlabel(,labsize(small)) ylabel(.0(.05).15, labsize(small)) ///
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) 

tw(scatter edumfx tof_n if pickone == 1 & missnum == 0, msymbol(none) mlabel(cyear) mlabsize(vsmall) mlabcolor(black) mcolor(black)) ///
(lfit edumfx tof_n if pickone == 1 & missnum == 0, lcolor(black) lwidth(.3)) (lowess edumfx tof_n, lwidth (.3) lcolor(black)) if pickone == 1 & missnum == 0, ///
legend(off) ytitle("Durchschnittlicher Marginaleffekt Bildung", size(small)) ///
xtitle("Offizielle Wahlbeteiligung zum Zeitpunkt der Erhebung", size(small)) title("") ///
xlabel(,labsize(small)) ylabel(.0(.05).15, labsize(small)) ///
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) 

tw(scatter edumfx meanedyrs if pickone == 1 , msymbol(none) mlabel(cyear) mlabsize(vsmall) mlabcolor(black) mcolor(black)) ///
(lfit edumfx meanedyrs if pickone == 1 , lcolor(black) lwidth(.3)) (lowess edumfx meanedyrs, lwidth (.3) lcolor(black)) if pickone == 1 , ///
legend(off) ytitle("Durchschnittlicher Marginaleffekt Bildung", size(small)) ///
xtitle("Durchschnitliche Bildungsjahre", size(small)) title("") ///
xlabel(,labsize(small)) ylabel(.0(.05).15, labsize(small)) ///
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) 


tw(scatter edumfx meanedyrs if pickone == 1 & missnum == 0, msymbol(none) mlabel(cyear) mlabsize(vsmall) mlabcolor(black) mcolor(black)) ///
(lfit edumfx meanedyrs if pickone == 1 & missnum == 0, lcolor(black) lwidth(.3)) (lowess edumfx meanedyrs, lwidth (.3) lcolor(black)) if pickone == 1 & missnum == 0, ///
legend(off) ytitle("Durchschnittlicher Marginaleffekt Bildung", size(small)) ///
xtitle("Durchschnitliche Bildungsjahre", size(small)) title("") ///
xlabel(,labsize(small)) ylabel(.0(.05).15, labsize(small)) ///
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) 

keep cntry cyear essround turnout to_n tof_n edumfx edumfxse edusd ///
eduyrs edulvla pickone meanedyrs 

keep if pickone == 1

save dfshort2R, replace


* Graphs of average marginal effects





