




version 13
cd "C:\Users\rabuza\Documents\Promotion\Text\Kapitel  5 Institutionelle Effekte\Analyse\Stata"



use "C:\Users\rabuza\Documents\Promotion\Text\Kapitel  5 Institutionelle Effekte\Analyse\Data\Aktuellster Datensatz\merge_20150608.dta"


set more off




* Generate missing value on explanatory variable *

gen cogcomp_diff = cogcomp_hi - cogcomp_lo

misschk vote10 ager sex edulvla open voc_spec ind_tra ce_y ///
dis_gall comp ind_tra ///
fed coord emprot_temp lo_sec_25_64 cogcomp_diff edusd polada_ext, gen(miss)

* Centering of continuous predictors at the macro-level

egen pickone = tag(cyear) if missnum == 0

sum ager if missnumber == 0
gen age_z = ager - r(mean)

sum age2 if missnumber == 0
gen age2_z = age2 - r(mean) 

sum edulvla if missnumber == 0
gen edulvla_z = edulvla - r(mean)


sum voc_spec if missnumber == 0 & pickone == 1
gen voc_spec_z = voc_spec - r(mean) if missnumber == 0

sum ce_y if missnumber == 0 & pickone == 1
gen civedu_z = ce_y - r(mean) if missnumber == 0

sum dis_gall if missnumber == 0  & pickone == 1
gen dis_gall_z = dis_gall - r(mean) if missnumber == 0

sum coord if missnumber == 0 & pickone == 1
gen coord_z = coord - r(mean) if missnumber == 0

sum ind_tra if  missnumber == 0 & pickone == 1
gen ind_tra_z = ind_tra - r(mean) if missnumber == 0

sum emprot_temp if missnumber == 0  & pickone == 1
gen emprot_temp_z = emprot_temp - r(mean) if missnumber == 0


sum emprot_reg if missnumber == 0  & pickone == 1
gen  emprot_reg_z = emprot_reg - r(mean) if missnumber == 0


sum cogcomp_diff if missnumber == 0 & pickone == 1
gen cogcomp_diff_z = cogcomp_diff - r(mean) if missnumber == 0


sum lo_sec_25_64 if missnumber == 0  & pickone == 1
gen lo_sec_25_64_z = lo_sec_25_64 - r(mean) if missnumber == 0


sum edusd if missnum == 0 & pickone == 1
gen edusd_z = edusd - r(mean) if missnumber == 0


sum vote10 age_z sex edulvla if missnumber == 0

sum polada_ext  
gen pola_z = polada_ext - r(mean)






**************************************************************
**************************************************************
* Descriptive statistics and graphs of contextual variables  *
**************************************************************
**************************************************************

* Contents: I. Scatterplots of Education effect vs. Contextual vars
*  II. Dotplots  
* III. Longitudinal Plots
* and Contextual Variables



sum numleft effpar_left numright effpar_right num_noncenter ///
effpar_sum cabfrac polada_ext if missnumber == 0  & pickone == 1

pwcorr fed open closed dual flex nominal other pr dis_gall_z ///
ind_tra_z voc_spec ce_y ///
coord_z emprot_temp_z ///
  if missnumber == 0  & pickone == 1, obs	


 misschk vote10 ager sex edulvla  voc_spec ind_tra ce_y ///
dis_gall comp ind_tra ///
fed coord emprot_temp , gen(miss2)

egen pickone2 = tag(cyear) if missnumber== 0
  
pwcorr fed open closed dual flex nominal other pr dis_gall_z ///
ind_tra_z voc_spec ce_y ///
coord_z emprot_temp_z if pickone2 == 1, obs

***************************************************************
* I. Scatterplots Education effect vs. Contextual Variables   *
***************************************************************

* 1. Electoral System

tw (scatter edumfx pr, legend(off) mcolor(gray) msize(small) /// 
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) ///
ylabel(,valuelabel labsize(small)) ///
ytitle("Durchschnittl. Marginaleffekt Bildung", size(small)) ///
xlabel(,labsize(small)) ///
xtitle("Verhltniswahlsystem", size(small))) ///
(lfit edumfx pr, lcolor(black)) if pickone == 1 & missnum == 0

graph save pr_scatter.gph, replace


* 2. Disproportionality

tw (scatter edumfx dis_gall, legend(off) mcolor(gray) msize(small) /// 
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) ///
ylabel(,valuelabel labsize(small)) ///
ytitle("Durchschnittl. Marginaleffekt Bildung", size(small)) ///
xlabel(,labsize(small)) ///
xtitle("Elektorale Disproprotionalitt", size(small))) ///
(lfit edumfx dis_gall, lcolor(black)) if pickone == 1 & missnum == 0

graph save disprop_scatter.gph, replace

* 3. Ballot structure

tw (scatter edumfx open, legend(off) mcolor(gray) msize(small) /// 
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) ///
ylabel(,valuelabel labsize(small)) ///
ytitle("Durchschnittl. Marginaleffekt Bildung", size(small)) ///
xlabel(,labsize(small)) ///
xtitle("Offener Wahlzettel", size(small))) ///
(lfit edumfx open, lcolor(black)) if pickone == 1 & missnum == 0

graph save open_scatter.gph, replace


tw (scatter edumfx  flex, legend(off) mcolor(gray) msize(small) ///
ytitle(, size(small)) ///
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) ///
ylabel(,valuelabel labsize(small)) /// 
xlabel(,labsize(small)) ///
xtitle("Flexibler Stimmzettel", size(small))) ///
(lfit edumfx flex , lcolor(black)) if pickone == 1 

graph save  flex_scatter.gph, replace

tw (scatter edumfx  closed, legend(off) mcolor(gray) msize(small) ///
ytitle(, size(small)) ///
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) ///
ylabel(,valuelabel labsize(small)) /// 
xlabel(,labsize(small)) ///
xtitle("Geschlossener Wahlzettel", size(small))) ///
(lfit edumfx closed , lcolor(black)) if pickone == 1 

graph save  closed_scatter.gph, replace

tw (scatter edumfx  nominal, legend(off) mcolor(gray) msize(small) ///
ytitle(, size(small)) ///
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) ///
ylabel(,valuelabel labsize(small)) /// 
xlabel(,labsize(small)) ///
xtitle("Nominaler Stimmzettel", size(small))) ///
(lfit edumfx nominal , lcolor(black)) if pickone == 1 

graph save  nominal_scatter.gph, replace

tw (scatter edumfx  dual, legend(off) mcolor(gray) msize(small) ///
ytitle(, size(small)) ///
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) ///
ylabel(,valuelabel labsize(small)) /// 
xlabel(,labsize(small)) ///
xtitle("Dualer Stimmzettel", size(small))) ///
(lfit edumfx dual , lcolor(black)) if pickone == 1 

graph save  dual_scatter.gph, replace


tw (scatter edumfx  other, legend(off) mcolor(gray) msize(small) ///
ytitle(, size(small)) ///
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) ///
ylabel(,valuelabel labsize(small)) /// 
xlabel(,labsize(small)) ///
xtitle("Single Transferable Vote", size(small))) ///
(lfit edumfx other , lcolor(black)) if pickone == 1 

graph save  stv_scatter.gph, replace

* Combined graph political institutions and education effect

graph combine pr_scatter.gph disprop_scatter.gph ///
open_scatter.gph flex_scatter.gph stv_scatter.gph ///
dual_scatter.gph nominal_scatter.gph closed_scatter.gph  , ///
graphregion(fcolor(white) color(white)) ysize(4) xsize(4)

graph save scatter_polinst_comb.gph, replace


* Educational INstitutions


tw (scatter edumfx  ind_tra, legend(off) mcolor(gray) msize(small) ///
ytitle(, size(small)) ///
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) ///
ylabel(,valuelabel labsize(small)) /// 
xlabel(,labsize(small)) ///
xtitle("Stratifizierung des Bildungssystems", size(small))) ///
(lfit edumfx ind_tra , lcolor(black)) if pickone == 1 

graph save  ind_tra_scatter.gph, replace

tw (scatter edumfx  voc_spec, legend(off) mcolor(gray) msize(small) ///
ytitle(, size(small)) ///
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) ///
ylabel(,valuelabel labsize(small)) /// 
xlabel(,labsize(small)) ///
xtitle("Vocational Specificity", size(small))) ///
(lfit edumfx voc_spec , lcolor(black)) if pickone == 1 

graph save  vocspec_scatter.gph, replace

tw (scatter edumfx  ce_y, legend(off) mcolor(gray) msize(small) ///
ytitle(, size(small)) ///
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) ///
ylabel(,valuelabel labsize(small)) /// 
xlabel(,labsize(small)) ///
xtitle("Civic Education in Jahren", size(small))) ///
(lfit edumfx ce_y , lcolor(black)) if pickone == 1 

graph save  civedu_scatter.gph, replace


* 3. Economic Institutions

tw (scatter edumfx  coord, legend(off) mcolor(gray) msize(small) ///
ytitle(, size(small)) ///
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) ///
ylabel(,valuelabel labsize(small)) /// 
xlabel(,labsize(small)) ///
xtitle("Koordination der Wirtschaft", size(small))) ///
(lfit edumfx coord , lcolor(black)) if pickone == 1 

graph save  coord_scatter.gph, replace

tw (scatter edumfx  emprot_temp, legend(off) mcolor(gray) msize(small) ///
ytitle(, size(small)) ///
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) ///
ylabel(,valuelabel labsize(small)) /// 
xlabel(,labsize(small)) ///
xtitle("Arbeitnehmerschutz-Gesetzgebung", size(small))) ///
(lfit edumfx emprot_temp , lcolor(black)) if pickone == 1 

graph save  emprot_scatter.gph, replace


graph combine ind_tra_scatter.gph vocspec_scatter.gph ///
civedu_scatter.gph ///
coord_scatter.gph emprot_scatter.gph, ///
graphregion(fcolor(white) color(white)) ysize(4) xsize(4)

graph save scatter_nonpol_inst.gph, replace

***************************************************************
* II. Dotplots Education effect vs. Contextual Variables      *
***************************************************************


* 1. Political Institutions

bys cntry: egen disgall_mean = mean(dis_gall)
sum dis_gall if missnumber == 0 & pickone == 1
local b = r(mean)

graph dot disgall_mean  if missnumber == 0  & pickone == 1 ///
, over(country, sort(disgall_mean) des label(labsize(vsmall))) ///
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) ///
ylabel(,valuelabel labsize(vsmall)) ///
ytitle("Elektorale Disproprotionalitt", size(vsmall)) ///
yline(`b')


graph save disgall_dot.gph, replace



* 2. Educational Institutions

* Stratification of education system

bys cntry: egen indtra_mean = mean(ind_tra)
sum ind_tra if missnumber == 0 & pickone == 1
local b = r(mean)

graph dot indtra_mean  if missnumber == 0  & pickone == 1 ///
, over(country, sort(indtra_mean) des label(labsize(vsmall))) ///
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) ///
ylabel(,valuelabel labsize(vsmall)) ///
ytitle("Stratifizierung des Bildungssystems", size(vsmall)) ///
yline(`b')


graph save indtra_dot.gph, replace

* Vocational Specificity


bys cntry: egen vocspec_mean = mean(voc_spec)
sum voc_spec if missnumber == 0 & pickone == 1
local b = r(mean)

graph dot vocspec_mean  if missnumber == 0  & pickone == 1 ///
, over(country, sort(vocspec_mean) des label(labsize(vsmall))) ///
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) ///
ylabel(,valuelabel labsize(vsmall)) ///
ytitle("Vocational Specificity", size(vsmall)) ///
yline(`b')


graph save vocspec_dot.gph, replace

* Civic Education 

bys cntry: egen civeduyears_mean = mean(ce_y)
sum ce_y if missnumber == 0 & pickone == 1
local b = r(mean)

graph dot civeduyears_mean  if missnumber == 0  & pickone == 1 ///
, over(country, sort(civeduyears_mean ) des label(labsize(vsmall))) ///
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) ///
ylabel(,valuelabel labsize(vsmall)) ///
ytitle("Civic Education in Jahren", size(vsmall)) ///
yline(`b')


graph save civedu_dot.gph, replace


* 3. Economic Institutions

* Coordination of economy

bys cntry: egen coord_mean = mean(coord)
sum coord if missnumber == 0 & pickone == 1
local b = r(mean)

graph dot coord_mean  if missnumber == 0  & pickone == 1 ///
, over(country, sort(coord_mean ) des label(labsize(vsmall))) ///
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) ///
ylabel(,valuelabel labsize(vsmall)) ///
ytitle("Koordination der Wirtschaft", size(vsmall)) ///
yline(`b')


graph save coord_dot.gph, replace

* Employment Protection Legislation

bys cntry: egen protecttemp_mean = mean(emprot_temp)
sum emprot_temp if missnumber == 0 & pickone == 1
local b = r(mean)

graph dot protecttemp_mean  if missnumber == 0  & pickone == 1 ///
, over(country, sort(protecttemp_mean ) des label(labsize(vsmall))) ///
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) ///
ylabel(,valuelabel labsize(vsmall)) ///
ytitle("Arbeitnehmerschutz-Gesetze", size(vsmall)) ///
yline(`b')


graph save protecttemp_dot.gph, replace

* Combined Dotplot

graph combine disgall_dot.gph ///
indtra_dot.gph vocspec_dot.gph civedu_dot.gph ///
coord_dot.gph protecttemp_dot.gph, ///
graphregion(fcolor(white) color(white)) 

graph save inst_dot.gph, replace





************************************************************************
* III. Graphical Analysis ISCED 1 vs. ISCED 5 over time                *
************************************************************************

* Raarea 

*Generating Plots of turnout differences of education groups 
* over 5 waves of ESS 2002 - 2010


*1. step: Generating quartiles of continuous context variables


label define quartile 1"25% geringste" 2">25% bis Median" 3 "Median bis 75%" 4 ">75 bis 100%"  
 

label define essround 1 "2002" 2 "2004" 3 "2006" 4 "2008" 5 "2010"
label value essround essround



*2. step: generating rarea graphs of turnout diffs by ESS wave



xtile per_dis = dis_gall, n(4)
xtile per_tra = ind_tra, n(4)
xtile per_voc_spec = voc_spec, n(4)
xtile per_coord = coord, n(4)
xtile per_emprot = emprot_reg, n(4)
xtile per_civedu = ce_y, n(4) 
label val per_tra  per_dis per_voc_spec  per_coord per_emprot  per_civedu quartile 

**************************
* Political Institutions *
**************************

* Ballot structure

bys essround ballot : egen to_isced1_bal = mean(to_isced1)
bys essround ballot : egen to_isced5_bal = mean(to_isced5)

tw rarea to_isced1_bal to_isced5_bal essround, ///
by(ballot, row(2)  legend(off) note("") ///
	graphregion(fcolor(white) color(white)) ///
	plotregion(fcolor(white) color(white))) ///
xlabel(,valuelabel labsize(vsmall)) ///
ylabel(.6(.2)1 , labsize(small)) ///
ytitle("") xtitle("Stimmzettelstruktur", size(small)) 


graph save ballot_long20160215.gph, replace

* Disproprotionality

bys essround per_dis: egen to_isced1_dis = mean(to_isced1)
bys essround per_dis : egen to_isced5_dis = mean(to_isced5)

tw rarea to_isced1_dis to_isced5_dis essround, ///
by(per_dis, row(1) legend(off) note("") ///
	graphregion(fcolor(white) color(white)) ///
	plotregion(fcolor(white) color(white))) ///
xlabel(,valuelabel labsize(vsmall)) ///
ylabel(.6(.2)1 , labsize(small)) ///
ytitle("") xtitle("Elektorale Disproportionalitt", size(small)) 

graph save dis_long20160215.gph, replace




*********************************************** 
* Educational Institutions: ISCED1 vs. ISCED5 *
***********************************************

* Stratification

bys essround per_tra : egen to_isced1_tr = mean(to_isced1)
bys essround per_tra: egen to_isced5_tr = mean(to_isced5)

tw rarea to_isced1_tr to_isced5_tr essround, ///
by(per_tra, row(1) legend(off) note("") ///
	graphregion(fcolor(white) color(white)) ///
	plotregion(fcolor(white) color(white))) ///
xlabel(,valuelabel labsize(vsmall)) ///
ylabel(.6(.2)1 , labsize(small)) ///
ytitle("") xtitle("Stratifizierung des Bildungssystems", size(small)) 

graph save tracking_long20160215.gph, replace



* Vocational specificity

bys essround per_voc_spec : egen to_isced1_vocs = mean(to_isced1)
bys essround per_voc_spec: egen to_isced5_vocs = mean(to_isced5)

tw rarea to_isced1_vocs to_isced5_vocs essround, ///
by(per_voc_spec, row(1)  legend(off) note("") ///
	graphregion(fcolor(white) color(white)) ///
	plotregion(fcolor(white) color(white))) ///
xlabel(,valuelabel labsize(vsmall)) ///
ylabel(.6(.2)1 , labsize(small)) ///
ytitle("") xtitle("Vocational Specificity", size(small)) 

graph save vocspec_long20160215.gph, replace

* Civic Education 

bys essround per_civedu : egen to_isced1_ce= mean(to_isced1)
bys essround per_civedu : egen to_isced5_ce = mean(to_isced5)

tw rarea to_isced1_ce to_isced5_ce essround, ///
by(per_civedu,  row(1) legend(off) note("") ///
	graphregion(fcolor(white) color(white)) ///
	plotregion(fcolor(white) color(white))) ///
xlabel(,valuelabel labsize(vsmall)) ///
ylabel(.6(.2)1 , labsize(small)) ///
ytitle("") xtitle("Civic Education", size(small)) 

graph save civedu_long20160215.gph, replace

********************************************
* Economic Institutions: ISCED1 vs. ISCED5 *
********************************************

* Coordination of Economy

bys essround per_coord: egen to_isced1_coord = mean(to_isced1)
bys essround per_coord: egen to_isced5_coord = mean(to_isced5)

sort essround
tw rarea to_isced1_coord to_isced5_coord essround, ///
by(per_coord, rows(1) legend(off) note("") ///
	graphregion(fcolor(white) color(white)) ///
	plotregion(fcolor(white) color(white))) ///
xlabel(,valuelabel labsize(vsmall)) ///
ylabel(.6(.2)1 , labsize(small)) ///
ytitle("") xtitle("Koordination der Marktwirtschaft", size(small)) 

graph save coord_long20160215.gph, replace

* Employment Protection

bys essround per_emprot: egen to_isced1_emprot = mean(to_isced1)
bys essround per_emprot: egen to_isced5_emprot = mean(to_isced5)


sort essround
tw rarea to_isced1_emprot to_isced5_emprot essround, ///
by(per_emprot, rows(1) legend(off) note("") ///
	graphregion(fcolor(white) color(white)) ///
	plotregion(fcolor(white) color(white))) ///
xlabel(,valuelabel labsize(vsmall)) ///
ylabel(.6(.2)1 , labsize(small)) ///
ytitle("") xtitle("Arbeitnehmerschutz", size(small)) 


graph save emprot_long20160215.gph, replace

 
* Combined Plot by institutonal dimension



* Political institutions

graph combine ballot_long20160215.gph dis_long20160215.gph, row(2) ///
	graphregion(fcolor(white) color(white)) ///
	plotregion(fcolor(white) color(white))
	

graph save pol_long20160215.gph, replace	


* Education institutions

graph combine vocspec_long20160215.gph tracking_long20160215.gph ///
civedu_long20160215.gph , row(3) ///
	graphregion(fcolor(white) color(white)) ///
	plotregion(fcolor(white) color(white))
	
graph save edu_long20160215.gph, replace	

* Economic institutions

graph combine coord_long20160215.gph emprot_long20160215.gph, row(2) ///
	graphregion(fcolor(white) color(white)) ///
	plotregion(fcolor(white) color(white))
	
graph save econ_long20160215.gph, replace	
	
	

	
	
	