




version 13
cd "C:\Users\rabuza\Documents\Promotion\Text\Kapitel  5 Institutionelle Effekte\Analyse\Stata"

use "C:\Users\rabuza\Documents\Promotion\Text\Kapitel  5 Institutionelle Effekte\Analyse\Data\Aktuellster Datensatz\merge_20150608.dta"


set more off




* Generate missing value on explanatory variable *

gen cogcomp_diff = cogcomp_hi - cogcomp_lo

misschk vote10 ager sex edulvla open voc_spec ind_tra ce_y ///
dis_gall comp ind_tra ///
fed coord emprot_temp lo_sec_25_64 cogcomp_diff edusd polada_ext, gen(miss)

* Centering of continuous predictors at the macro-level

egen pickone = tag(cyear) if missnum == 0

sum ager if missnumber == 0
gen age_z = ager - r(mean)

sum age2 if missnumber == 0
gen age2_z = age2 - r(mean) 

sum edulvla if missnumber == 0
gen edulvla_z = edulvla - r(mean)


sum voc_spec if missnumber == 0 & pickone == 1
gen voc_spec_z = voc_spec - r(mean) if missnumber == 0

sum ce_y if missnumber == 0 & pickone == 1
gen civedu_z = ce_y - r(mean) if missnumber == 0

sum dis_gall if missnumber == 0  & pickone == 1
gen dis_gall_z = dis_gall - r(mean) if missnumber == 0

sum coord if missnumber == 0 & pickone == 1
gen coord_z = coord - r(mean) if missnumber == 0

sum ind_tra if  missnumber == 0 & pickone == 1
gen ind_tra_z = ind_tra - r(mean) if missnumber == 0

sum emprot_temp if missnumber == 0  & pickone == 1
gen emprot_temp_z = emprot_temp - r(mean) if missnumber == 0


sum emprot_reg if missnumber == 0  & pickone == 1
gen  emprot_reg_z = emprot_reg - r(mean) if missnumber == 0


sum cogcomp_diff if missnumber == 0 & pickone == 1
gen cogcomp_diff_z = cogcomp_diff - r(mean) if missnumber == 0


sum lo_sec_25_64 if missnumber == 0  & pickone == 1
gen lo_sec_25_64_z = lo_sec_25_64 - r(mean) if missnumber == 0


sum edusd if missnum == 0 & pickone == 1
gen edusd_z = edusd - r(mean) if missnumber == 0


sum vote10 age_z sex edulvla if missnumber == 0

sum polada_ext  
gen pola_z = polada_ext - r(mean)


sum numleft effpar_left numright effpar_right num_noncenter ///
effpar_sum cabfrac polada_ext if missnumber == 0  & pickone == 1

pwcorr fed open closed dual flex nominal other pr dis_gall_z ///
ind_tra_z voc_spec ce_y ///
coord_z emprot_temp_z ///
  if missnumber == 0  & pickone == 1	
	


* Regression Analysis *

* This do-file reports the analysis of institutional causes of education-induced
* unequal turnout. It uses a ballot dummy (open = 1, 0 = otherwise) 
* not a full set of dummy variables like the remaining analyses of institutional
* effects on inequality.


* Null model


xtmelogit vote10 || cyear: if missnumber == 0, variance 

est store imob1

estat icc





**********************
*                    *
* Random Intercept   *
*                    *
**********************


set more off
xtmelogit  vote10 age_z age2_z sex edulvla ///
open ///
dis_gall_z comp fed  ///
voc_spec_z ind_tra_z civedu_z ///
coord_z emprot_temp_z ///
|| cyear: , var mle


est store imob2
estat icc


*****************
*               *
* Random Slope  *
*               *
*****************


set more off
xtmelogit  vote10 age_z age2_z sex edulvla ///
open ///
dis_gall_z comp  fed  ///
voc_spec_z ind_tra_z civedu_z ///
coord_z emprot_temp_z ///
|| cyear: edulvla, var mle cov(unstructured)

est store imob3
estat icc


****************************
*						   *
* Cross-level Interactions *
*                          *
****************************

* 1. Ballot structure

* Open ballot dummy

set more off

xtmelogit vote10 age_z age2_z sex ///
open  ///
dis_gall_z comp fed  ///
voc_spec_z ind_tra_z civedu_z ///
coord_z emprot_temp_z /// /// 
c.edulvla##i.open ///
|| cyear: edulvla, var mle cov(unstructured)

est store imob4
estat icc


lrtest imob3 imob4, force





*Disproportionality 
set more off
xtmelogit vote10 age_z age2_z sex ///
dis_gall_z comp  fed  open ///
voc_spec_z ind_tra_z civedu_z ///
coord_z emprot_temp_z /// /// 
c.edulvla##c.dis_gall_z ///
|| cyear: edulvla, var mle cov(unstructured)

est store imob5
estat icc


lrtest imob3 imob5, force

set more off
sum  dis_gall_z if missnum == 0 & pickone == 1
local a = r(min)
local b = r(mean)
local c = r(max)

margins , at(dis_gall_z=(`a' `b' `c' ) edulvla=(1 5)) predict(fixed)

* Stratification of Education System

set more off
xtmelogit vote10 age_z age2_z sex ///
dis_gall_z comp  fed  open ///
voc_spec_z ind_tra_z civedu_z ///
coord_z emprot_temp_z /// /// 
c.edulvla##c.ind_tra_z ///
|| cyear: edulvla, var mle cov(unstructured)

est store imob6
estat icc

lrtest imob3 imob6, force

set more off
sum  ind_tra_z if missnum == 0 & pickone == 1
local a = r(min)
local b = r(mean)
local c = r(max)

margins , at(ind_tra_z=(`a' `b' `c' ) edulvla=(1 5)) predict(fixed)

* Vocational Specificity 

set more off
xtmelogit vote10 age_z age2_z sex ///
dis_gall_z comp  fed  open ///
voc_spec_z ind_tra_z civedu_z ///
coord_z emprot_temp_z /// /// 
c.edulvla##c.voc_spec_z ///
|| cyear: edulvla, var mle cov(unstructured)

est store imob7
estat icc

lrtest imob3 imob7, force

set more off
sum  voc_spec_z if missnum == 0 & pickone == 1
local a = r(min)
local b = r(mean)
local c = r(max)

margins , at(voc_spec_z=(`a' `b' `c' ) edulvla=(1 5)) predict(fixed)

* Civic Education 

set more off
xtmelogit vote10 age_z age2_z sex ///
dis_gall_z comp  fed  open ///
voc_spec_z ind_tra_z civedu_z ///
coord_z emprot_temp_z /// /// 
c.edulvla##c.civedu_z ///
|| cyear: edulvla, var mle cov(unstructured)

est store imob8
estat icc

lrtest imob3 imob8, force

set more off
sum  civedu_z if missnum == 0 & pickone == 1
local a = r(min)
local b = r(mean)
local c = r(max)

margins , at(civedu_z=(`a' `b' `c' ) edulvla=(1 5)) predict(fixed)



* Coordination of the Economy

set more off
xtmelogit vote10 age_z age2_z sex ///
dis_gall_z comp  fed  open ///
voc_spec_z ind_tra_z civedu_z ///
coord_z emprot_temp_z /// /// 
c.edulvla##c.coord_z ///
|| cyear: edulvla, var mle cov(unstructured) difficult

est store imob9
estat icc

lrtest imob3 imob9, force

set more off
sum  coord_z if missnum == 0 & pickone == 1
local a = r(min)
local b = r(mean)
local c = r(max)

margins , at(coord_z=(`a' `b' `c' ) edulvla=(1 5)) predict(fixed)

* Employment Protection

set more off
xtmelogit vote10 age_z age2_z sex ///
dis_gall_z comp  fed  open ///
voc_spec_z ind_tra_z civedu_z ///
coord_z emprot_temp_z /// /// 
c.edulvla##c.emprot_temp_z ///
|| cyear: edulvla, var mle cov(unstructured)

est store imob10
estat icc

lrtest imob3 imob10, force

set more off
sum  emprot_temp_z if missnum == 0 & pickone == 1
local a = r(min)
local b = r(mean)
local c = r(max)

margins , at(emprot_temp_z=(`a' `b' `c' ) edulvla=(1 5)) predict(fixed)


* Vocational Specificity + Stratification

set more off
xtmelogit vote10 age_z age2_z sex ///
dis_gall_z comp  fed open ///
voc_spec_z ind_tra_z civedu_z ///
coord_z emprot_temp_z /// /// 
c.edulvla##c.ind_tra_z ///
c.edulvla##c.voc_spec_z ///
|| cyear: edulvla, var mle cov(unstructured)

est store imob11 
estat icc

lrtest imob10 imob11



* Vocational Specificity + Stratification + Disproportionality

set more off
xtmelogit vote10 age_z age2_z sex ///
dis_gall_z comp  fed open ///
voc_spec_z ind_tra_z civedu_z ///
coord_z emprot_temp_z /// /// 
c.edulvla##c.ind_tra_z ///
c.edulvla##c.voc_spec_z ///
c.edulvla##c.dis_gall_z ///
|| cyear: edulvla, var mle cov(unstructured)

est store imob12 
estat icc

lrtest imob11 imob12


* Voc Specificity + Stratification + Disproprotionality + Employment Protection
set more off
xtmelogit vote10 age_z age2_z sex ///
dis_gall_z comp  fed open ///
voc_spec_z ind_tra_z civedu_z ///
coord_z emprot_temp_z /// /// 
c.edulvla##c.ind_tra_z ///
c.edulvla##c.voc_spec_z ///
c.edulvla##c.dis_gall_z ///
c.edulvla##c.emprot_temp_z ///
|| cyear: edulvla, var mle cov(unstructured)

est store imob13 
estat icc

lrtest imob12 imob13


* Voc Specificity + Stratification + Disproprotionality + Civic Education
set more off
xtmelogit vote10 age_z age2_z sex ///
dis_gall_z comp  fed open ///
voc_spec_z ind_tra_z civedu_z ///
coord_z emprot_temp_z /// /// 
c.edulvla##c.ind_tra_z ///
c.edulvla##c.voc_spec_z ///
c.edulvla##c.dis_gall_z ///
c.edulvla##c.civedu_z ///
|| cyear: edulvla, var mle cov(unstructured)

est store imob14 
estat icc

lrtest imob12 imob14

* Voc Specificity + Stratification + Disproprotionality + Coordination
set more off
xtmelogit vote10 age_z age2_z sex ///
dis_gall_z comp  fed open ///
voc_spec_z ind_tra_z civedu_z ///
coord_z emprot_temp_z /// /// 
c.edulvla##c.ind_tra_z ///
c.edulvla##c.voc_spec_z ///
c.edulvla##c.dis_gall_z ///
c.edulvla##c.coord_z ///
|| cyear: edulvla, var mle cov(unstructured)

est store imob15
estat icc

lrtest imob12 imob15 // p = .0055 (relatively best model)


estout imob3 imob4 imob5 imob6 imob7 imob8 imob9 imob10 imob11 imob12 imob13 ///
imob14 imob15 ///
 using results20160210_m3_m15.csv , noomitted ///
cells("b(star fmt(3)) se(par)") ///
stats(N_g N ll aic bic, labels("N groups" "N individuals" Log-Likelihood ///
AIC BIC)) nolz replace



*******************************************************
* Genrating Effect plots based on best model (imob15)  *
*******************************************************

set more off
sum  ind_tra_z if missnum == 0 & pickone == 1
local a = r(min)
local b = r(mean)
local c = r(max)

margins , at(ind_tra_z=(`a' `b' `c' ) edulvla=(1 5)) predict(fixed)


set more off
margins , at(ind_tra_z = (-2(1)2)  edulvla=(1 5)) predict(fixed)
marginsplot ,recast(connected) ///
plot1opts(mcolor(black) msymbol(triangle) msize(small) lcolor(black) lwidth(thin)) ///
plot2opts(mcolor(black) msymbol(circle) msize(small) lcolor(black) lwidth(thin)) ///
recastci(rline) ciopts(color(black) lpattern(longdash) lwidth(thin)) ///
legend(off) ytitle("") xtitle("Stratifizierung des Bildungssystems", size(small)) title("") ///
xlabel(,labsize(small)) ylabel(.5(.1)1, labsize(small)) ///
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) 

graph save ind_tra_wcontrol.gph, replace



set more off
sum  voc_spec_z if missnum == 0 & pickone == 1
local a = r(min)
local b = r(mean)
local c = r(max)

margins , at(voc_spec_z=(`a' `b' `c' ) edulvla=(1 5)) predict(fixed)

set more off
margins , at(voc_spec_z = (-20(10)35)  edulvla=(1 5)) predict(fixed)
marginsplot ,recast(connected) ///
plot1opts(mcolor(black) msymbol(triangle) msize(small) lcolor(black) lwidth(thin)) ///
plot2opts(mcolor(black) msymbol(circle) msize(small) lcolor(black) lwidth(thin)) ///
recastci(rline) ciopts(color(black) lpattern(longdash) lwidth(thin)) ///
legend(off) ytitle("") xtitle("Vocational Specificity", size(small)) title("") ///
xlabel(,labsize(small)) ylabel(.5(.1)1, labsize(small)) ///
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) 

graph save voc_spec_wcontrol.gph, replace


set more off
sum  coord_z if missnum == 0 & pickone == 1
local a = r(min)
local b = r(mean)
local c = r(max)

margins , at(coord_z=(`a' `b' `c' ) edulvla=(1 5)) predict(fixed)

set more off
margins , at(coord_z = (-3(1)2)  edulvla=(1 5)) predict(fixed)
marginsplot ,recast(connected) ///
plot1opts(mcolor(black) msymbol(triangle) msize(small) lcolor(black) lwidth(thin)) ///
plot2opts(mcolor(black) msymbol(circle) msize(small) lcolor(black) lwidth(thin)) ///
recastci(rline) ciopts(color(black) lpattern(longdash) lwidth(thin)) ///
legend(off) ytitle("") xtitle("Koordination der Marktwirtschaft", size(small)) title("") ///
xlabel(,labsize(small)) ylabel(.5(.1)1, labsize(small)) ///
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) 

graph save coord_wcontrol.gph, replace


* Disporportionality
set more off
sum  dis_gall_z if missnum == 0 & pickone == 1
local a = r(min)
local b = r(mean)
local c = r(max)

margins , at(dis_gall_z=(`a' `b' `c' ) edulvla=(1 5)) predict(fixed)

set more off
margins , at(dis_gall_z = (-6(5)21)  edulvla=(1 5)) predict(fixed)
marginsplot ,recast(connected) ///
plot1opts(mcolor(black) msymbol(triangle) msize(small) lcolor(black) lwidth(thin)) ///
plot2opts(mcolor(black) msymbol(circle) msize(small) lcolor(black) lwidth(thin)) ///
recastci(rline) ciopts(color(black) lpattern(longdash) lwidth(thin)) ///
legend(off) ytitle("") xtitle("Elektorale Disproportionalitt", size(small)) title("") ///
xlabel(,labsize(small)) ylabel(.5(.1)1, labsize(small)) ///
graphregion(fcolor(white) color(white)) ///
plotregion(fcolor(white) color(white)) 

graph save dis_gall_wcontrol.gph , replace

graph combine dis_gall_wcontrol.gph ind_tra_wcontrol.gph ///
voc_spec_wcontrol.gph coord_wcontrol.gph 


* Voc Specificity + Stratification + Disproprotionality + Coordination + Open Ballot
set more off
xtmelogit vote10 age_z age2_z sex ///
dis_gall_z comp  fed open ///
voc_spec_z ind_tra_z civedu_z ///
coord_z emprot_temp_z /// /// 
c.edulvla##c.ind_tra_z ///
c.edulvla##c.voc_spec_z ///
c.edulvla##c.dis_gall_z ///
c.edulvla##c.coord_z ///
c.edulvla##i.open ///
|| cyear: edulvla, var mle cov(unstructured)

est store imob16
estat icc

lrtest imob15 imob16 // p = .35 worse than model 15

estout imob1 imob2 imob3 imob4 imob5 imob6 imob7 imob8 imob9 ///
imob10 imob11 imob12 imob13 imob14 imob15 imob16 ///
 using results20160212_m1_m16.csv , noomitted ///
cells("b(star fmt(3)) se[par]") ///
stats(N_g N ll aic bic, labels("N groups" "N individuals" Log-Likelihood ///
AIC BIC)) replace

**************************************
*
*  Robustness Checks                 *
*
**************************************


* With Population weight

xtset cyear_n

xtlogit  vote10 age_z age2_z sex ///
dis_gall_z comp  fed open ///
voc_spec_z ind_tra_z civedu_z ///
coord_z emprot_temp_z /// /// 
c.edulvla##c.ind_tra_z ///
c.edulvla##c.voc_spec_z ///
c.edulvla##c.dis_gall_z ///
c.edulvla##c.coord_z ///
c.edulvla##i.open [iweight = pweight] 

est store instrob1

* With Design Weight

logit vote10 age_z age2_z sex ///
dis_gall_z comp  fed open ///
voc_spec_z ind_tra_z civedu_z ///
coord_z emprot_temp_z /// /// 
c.edulvla##c.ind_tra_z ///
c.edulvla##c.voc_spec_z ///
c.edulvla##c.dis_gall_z ///
c.edulvla##c.coord_z ///
c.edulvla##i.open  [pweight = dweight] , vce(cluster cyear)



est store instrob2

estout m15 instrob1 instrob2 ///
 using results20160214_instrob.csv , noomitted ///
cells("b(star fmt(3)) se[par]") ///
stats(N_g N ll aic bic, labels("N groups" "N individuals" Log-Likelihood ///
AIC BIC)) nolz replace
